//=============================================================================
// System  : CVMEditor - Virtual Memory Text Editor Library
// File    : MFCEditorDoc.h
// Author  : Eric Woodruff  (Eric_Woodruff@CompuServe.com)
// Updated : Wed 07/08/98 01:00:00
// Note    : Copyright 1998, Eric Woodruff, All rights reserved
// Compiler: Visual C++
//
// An MFC CDocument-derived class used to encapsulate a CMFCEditor object for
// use in a doc/view pair.
//
// Version    Date    Who   Comments
// ============================================================================
// 1.0.0    06/08/97  EFW   Created the code
//=============================================================================

#if !defined(__MFCEDITORDOC_H)
#define __MFCEDITORDOC_H

#if defined(USE_CSHLIB)

#if !defined(__MFCCSHEDITOR_H)
#include "MFCCSHEditor.h"
#endif

#else

#if !defined(__MFCEDITOR_H)
#include "MFCEditor.h"
#endif

#endif

class CMFCEditorDoc : public CDocument
{
public:
    static int nBufSize;

    HACCEL hAccel;

#if defined(USE_CSHLIB)
    CMFCCSHEditor *editor;      // Color syntax highlighting editor
#else
    CMFCEditor *editor;         // Non-highlighting editor
#endif

protected: // create from serialization only
	CMFCEditorDoc();
	DECLARE_DYNCREATE(CMFCEditorDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFCEditorDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMFCEditorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	virtual HACCEL GetDefaultAccelerator();
    virtual void SetModifiedFlag(BOOL bModified);

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMFCEditorDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
