// ChildFrm.cpp : implementation of the CChildFrame class
//

#include "stdafx.h"
#include "MFCMDI.h"

#include "CVMEResource.h"

#include "ChildFrm.h"
#include "MFCEditorDoc.h"
#include "MFCEditorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CChildFrame)
	//}}AFX_MSG_MAP

    // These are here to prevent Wrap On Resize from occurring until
    // the view is all done resizing itself
	ON_WM_SYSCOMMAND()
    ON_MESSAGE(WM_ENTERSIZEMOVE, OnEnterSizeMove)
    ON_MESSAGE(WM_EXITSIZEMOVE, OnExitSizeMove)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
	// add member initialization code here

}

CChildFrame::~CChildFrame()
{
}

BOOL CChildFrame::OnCreateClient( LPCREATESTRUCT /*lpcs*/,
	CCreateContext* pContext)
{
	return m_wndSplitter.Create( this,
		2, 2,
		CSize( 10, 10 ),      
		pContext );
}

BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// Modify the Window class or styles here by modifying
	// the CREATESTRUCT cs

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CChildFrame message handlers

// Disable Wrap on Resize until all done
LRESULT CChildFrame::OnEnterSizeMove(WPARAM , LPARAM )
{
    CMFCEditorView *pView = dynamic_cast<CMFCEditorView*>(GetActiveView());
    if(pView)
        pView->WrapOnResize(FALSE);

    return 0;
}

// All done, enable wrap on resize
LRESULT CChildFrame::OnExitSizeMove(WPARAM , LPARAM )
{
    CMFCEditorView *pView = dynamic_cast<CMFCEditorView*>(GetActiveView());
    if(pView)
        pView->WrapOnResize(TRUE);
    return 0;
}

void CChildFrame::OnSysCommand(UINT nID, LPARAM lParam)
{
	CMDIChildWnd::OnSysCommand(nID, lParam);

    // Force wrap on resize when child window is maximized or restored
    if(nID == SC_MAXIMIZE || nID == SC_ZOOM || nID == SC_RESTORE)
    {
        CMFCEditorView *pView = dynamic_cast<CMFCEditorView*>(GetActiveView());
        if(pView)
            pView->WrapOnResize(TRUE);
    }
}
