// CAutoSavePage.cpp : implementation file
//

#include "stdafx.h"
#include "MFCSDI.h"
#include "AutoSavePage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAutoSavePage property page

IMPLEMENT_DYNCREATE(CAutoSavePage, CPropertyPage)

CAutoSavePage::CAutoSavePage() : CPropertyPage(CAutoSavePage::IDD)
{
	//{{AFX_DATA_INIT(CAutoSavePage)
	m_bAutoSaveEnabled = FALSE;
	m_nSaveInterval = 0;
	m_bSaveOnSwitch = FALSE;
	//}}AFX_DATA_INIT
}

CAutoSavePage::~CAutoSavePage()
{
}

void CAutoSavePage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAutoSavePage)
	DDX_Control(pDX, IDC_AUTOSAVE, m_ckbAutoSave);
	DDX_Control(pDX, IDC_SAVEINTERVAL, m_ecSaveInterval);
	DDX_Control(pDX, IDC_SAVESPINNER, m_spnSaveSpinner);
	DDX_Check(pDX, IDC_AUTOSAVE, m_bAutoSaveEnabled);
	DDX_Text(pDX, IDC_SAVEINTERVAL, m_nSaveInterval);
	DDV_MinMaxInt(pDX, m_nSaveInterval, 1, 60);
	DDX_Check(pDX, IDC_SAVEONSWITCH, m_bSaveOnSwitch);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAutoSavePage, CPropertyPage)
	//{{AFX_MSG_MAP(CAutoSavePage)
	ON_BN_CLICKED(IDC_AUTOSAVE, OnAutosave)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAutoSavePage message handlers

void CAutoSavePage::OnAutosave() 
{
    // Enable/disable interval field based on auto save setting
    if(m_ckbAutoSave.GetCheck())
    {
        m_ecSaveInterval.EnableWindow(TRUE);
        m_spnSaveSpinner.EnableWindow(TRUE);
    }
    else
    {
        m_ecSaveInterval.EnableWindow(FALSE);
        m_spnSaveSpinner.EnableWindow(FALSE);
    }
}

BOOL CAutoSavePage::OnSetActive()
{
    m_spnSaveSpinner.SetRange(1, 60);
    OnAutosave();

	return CPropertyPage::OnSetActive();
}
