// FindTextDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MFCSDI.h"

#include "CVMEditorDefs.h"
#include "FindTextDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindTextDlg dialog


CFindTextDlg::CFindTextDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindTextDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindTextDlg)
	m_bCaseSensitive = FALSE;
	m_csFindText = _T("");
	m_bWholeWordsOnly = FALSE;
    m_nDirection = 0;
    m_nScope = 0;
    m_nOrigin = 0;
	//}}AFX_DATA_INIT
}


void CFindTextDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindTextDlg)
	DDX_Check(pDX, IDC_CASESENSITIVE, m_bCaseSensitive);
	DDX_Text(pDX, IDC_TEXTTOFIND, m_csFindText);
	DDX_Check(pDX, IDC_WHOLEWORDS, m_bWholeWordsOnly);
    DDX_Radio(pDX, IDC_FORWARD, m_nDirection);
    DDX_Radio(pDX, IDC_GLOBAL, m_nScope);
    DDX_Radio(pDX, IDC_FROMCURSOR, m_nOrigin);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindTextDlg, CDialog)
	//{{AFX_MSG_MAP(CFindTextDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindTextDlg message handlers

void CFindTextDlg::SetOptions(FindReplaceStruct *frData)
{
    m_csFindText = frData->szFindStr;
    m_bCaseSensitive = ((frData->nOptions & efCaseSensitive) != 0);
    m_bWholeWordsOnly = ((frData->nOptions & efWholeWordsOnly) != 0);
    m_nDirection = ((frData->nDirection == efForward) ? 0 : 1);
    m_nScope = ((frData->nScope == efGlobal) ? 0 : 1);
    m_nOrigin = ((frData->nOrigin == efFromCursor) ? 0 : 1);
}

void CFindTextDlg::GetOptions(FindReplaceStruct *frData)
{
    strcpy(frData->szFindStr, m_csFindText);

    frData->nOptions = frData->nDirection = frData->nScope =
        frData->nOrigin = 0;

    if(m_bCaseSensitive)
        frData->nOptions |= efCaseSensitive;

    if(m_bWholeWordsOnly)
        frData->nOptions |= efWholeWordsOnly;

    frData->nDirection = ((m_nDirection) ? efBackward : efForward);
    frData->nScope = ((m_nScope) ? efSelectedText : efGlobal);
    frData->nOrigin = ((m_nOrigin) ? efEntireScope : efFromCursor);
}
